n, k = map(int, input().split()) # считываем количество мест и количество запросов
for _ in range(k):
    m = int(input()) # считываем номер места для запроса
    if m > n: # проверяем, что номер места не превышает общее количество мест
        print("Ошибка! Такого места не существует.")
    else:
        print("Здесь расположено место номер", m)